unit rstring;

{<
  rstring unit contains all resource strings.

  @author(Rosinsky Software - <http://www.rosinsky.cz/delphi>)
  @created(Apr 2006)
  @lastmod(Oct 2023)
}

interface

const LangVer='ES';
const LangVerEN=1;

resourcestring

  // ***************************************************
  // COMMON STRING

  // Actions
  { }
  sInitialize = 'Iniciando';
  sBrowsing = 'Mostrando';
  sEditing = 'Editando';
  sInserting = 'Insertando';
  sLoading = 'Cargando';
  sCreating = 'Creando';
  sPrinting = 'Imprimiendo';
  sExporting = 'Exportando';
  sLookingFor = 'Buscando...';
  sWaiting = 'Esperando';
  sChecking = 'Comprobando';
  sImporting = 'Importando';
  sOfData = ' de datos...';

  // Questions
  { }
  sContinueQ = 'Continuar?';
  sTerminateQ = 'Terminar?';
  sCancelQ = 'Cancelar?';
  sDeleteQ = 'Borrar?';
  sOverwriteQ = 'Sobre-Escribir?';
  sTryAgainQ = 'Reintentar?';
  sSetDefaultValues = 'Volver a valores por Defecto?';
  sSaveChangesQ = 'Grabar Cambios?';
  sUseChangesQ = 'Usar Cambios?';
  sUseFilterQ = 'Usar Filtro Seleccionado?';

  // File and dir
  { }
  sFile = 'Archivo "%s".';
  sFileNotFound = 'Archivo "%s" no encontrado.';
  sDirNotFound = 'Directorio "%s" no encontrado.';
  sFileExist = 'Archivo "%s"ya existe.';
  sDirExist = 'Directorio "%s" ya existe.';
  sFileSaved = 'Archivo "%s" grabado.';
  sFileOpenQ = 'Abrir archivo "%s"?';
  sOpenOtherFileQ = 'Abrir otro archivo?';
  sOpenLastFileQ = 'Abrir archivo original?';

  // File error
  { }
  sMakeDirErr = 'No se pudo crear el directorio destino "%s".';
  sFilePrintErr = 'No se pudo imprimir el archivo "%s".';
  sFileOpenErr = 'No se puede abrir el archivo "%s".';
  sFileOpenErr2 = 'Archivo probablemente inexistente.';
  sFileSaveErr = 'Error durante la grabación del archivo "%s".';
  sFileSaveErr2 = 'No tienes derechos de acceso, Directorio destino' + ' no existe o archivo destino ya esta abierto por otra aplicación.';
  sDLLNotFound = 'DLL "%s" corrupta o no encontrada.';

  // File types
  { }
  sFileTypeAll = 'Todos (*.*)|*.*';
  sFileTypeTXT = 'Archivos de Texto (*.txt)|*.txt';
  sFileTypeSLK = 'Archivos de conexión (*.slk)|*.slk';
  sFileTypeRTF = 'Archivos de Texto Enriquecido (*.rtf)|*.rtf';
  sFileTypeDOC = 'Documento MSWord (*.doc)|*.doc';
  sFileTypeDOCX = 'Documento MSWord (*.docx)|*.docx';
  sFileTypeODT = 'Documentos Open (*.odt)|*.odt';
  sFileTypeXLS = 'Archivos Excel (*.xls*)|*.xls*';
  sFileTypeMDB = 'Database MS Access (*.mdb)|*.mdb';
  sFileTypeACCDB = 'Database MS Access (*.accdb)|*.accdb';
  sFileTypeSQL = 'Comando SQL (*.sql)|*.sql';
  sFileTypeDBF = 'Archivo dBase (*.dbf)|*.dbf';
  sFileTypePDF = 'Archivo PDF (*.pdf)|*.pdf';
  sFileTypeBMP = 'Bitmaps (*.bmp)|*.bmp';
  sFileTypeJPG = 'Imagen Jpeg (*.jpg;*.jpeg)|*.jpg;*.jpeg';
  sFileTypePNG = 'Imagen PNG (*.png)|*.png';
  sFileTypeBMPJPG = 'Imágenes (*.bmp;*.jpg;*.jpeg)|*.bmp;*.jpg;*.jpeg';
  sFileTypeBMPJPGPNG = 'Imágenes (*.bmp;*.jpg;*.jpeg;*.png)|*.bmp;*.jpg;*.jpeg;*.png';

  // Error descriptions
  { }
  sErrorDescription = 'Descripción de Error:';
  sRuntimeErr = 'Error en tiempo de Ejecución.';
  sRaiseErr = 'Error inesperado. Cierre la aplicación y reinicie de nuevo.';


  // Format error
  { }
  sInputErr = 'Error en parámetro de entrada.';
  sFormatNumberErr = 'Formato de numero incorrecto.';
  sFormatDateErr = 'Formato de fecha incorrecto.';
  sFormatYearErr = 'Formato de año incorrecto.';
  sDateIntervalErr = 'Formato de intervalo incorrecto.';
  sExpressionErr = 'Error en expresión.';
  sPictureErr = 'Formato de imagen incorrecta.';

  // Other
  { }
  sAborted = 'Acción cancelada.';
  sTerminate = 'El programa terminara.';
  sNotRegist = 'El programa no esta registrado.';
  sNotImplement = 'Acción no implementada aun.';
  sNotSupported = 'Función no soportada.';
  sVersion = 'Versión';
  sAllOK = 'Todo OK.';
  sYes = 'Si';
  sNo = 'No';
  sOK = 'Ok';
  sCancel = 'Cancelar';

  sWrongPsw = 'Clave incorrecta.';
  sMailErr = 'Error enviando e-mail.';
  sMailGenInfo = 'Generación de e-mail...';
  sBookmarkNumber = 'Bookmark number';

  // ***************************************************
  // DATABASE STRING

  // DB action
  { }
  sConnecting = 'Conectando a database...';
  sLogging = 'Identificándose en database...';
  sInactive = 'Inactivo';
  sRecord = 'registro';
  sNumRecords = '%d registros';
  sSelRecords = 'Seleccionados %d registros.';

  // DB questions
  { }
  sDelRecordQ = 'Borrar registro seleccionado?';
  sDelMultipleRecordQ = 'Borrar TODOS los registros seleccionados?';

  // DB error
  { }
  sConnectDataErr = 'Error en conexión a database "%s".';
  sCreateDataErr = 'Error: No se puede crear.';
  sOpenDataErr = 'Error: No se puede abrir.';
  sReadDataErr = 'Error: No se puede leer.';
  sSaveDataErr = 'Error: No se puede granar.';
  sCompressDataErr = 'Error: No se comprime.';
  sExportDataErr = 'Error: No se exporta.';
  sImportDataErr = 'Error: No se puede importar.';
  sDecodeDataErr = 'No se puede decodificar.';
  sSaveRecordErr = 'Error: No se puede granar el registro.';
  sOpenTableErr = 'Error: No se puede abrir la tabla "%s".';
  sEditRecordErr = 'Error: No se puede editar el registro.';
  sSortDataErr = 'Error: Ordenando.';
  sNoSavedItems = 'no se grabo nada';
  sInputItemName = 'Nombre del elemento grabado:';

  // Find results
  { }
  sNotFound = 'No encontrado';
  sFound = 'Encontrado';

  sFilterName = 'Nombre de filtro';
  sFilterString = 'Condición de filtro';

  sEndEditing = 'Acabar edición de registro.';

  // ***************************************************
  // UNIT rdlg

  { }
  sInformation = 'Información';
  sQuestion = 'Consulta';
  sWarning = 'Atención';
  sInput = 'Entrada';
  sError = 'Error';
  sBtOk = '&Ok';
  sBtYes = '&Si';
  sBtNo = '&No';
  sBtCancel = '&Cancelar';
  sCut = 'Cortar';
  sCopy = 'Copiar';
  sPaste = 'Pegar';
  sDelete = 'Borrar';
  sUndo = 'Deshacer';
  sSelectAll = 'Selecciona todo';
  sSaveToFile = 'Grabar en archivo...';
  sLoadFromFile = 'Cargar de archivo...';
  sFind = 'Buscar';
  sFindNext = 'Buscar siguiente';
  sChangeFont = 'Cambiar fuente';
  sAbort = 'Cancelar';
  sWordWrap = 'Multilínea';

  // ***************************************************
  // UNIT RTFReport

  { }
  sReport = 'Report';
  sTemplateFormatErr = 'Formato erróneo en plantilla de formato.';
  sPrinterNotFound = 'Impresora "%s" no encontrada.';

  sTemplateBracketErr = 'Error de paréntesis en función: "%s".';
  sTemplateFieldErr = 'Error de calculo en el campo "%s".';
  sTemplateDatasetErr = 'Dataset incorrecto "%s", (A..Z permitido)';
  sTemplateTagNotFoundErr = '"%s" no encontrado.';
  sTemplateCalculationErr = 'Error de calculo en función "%s".';
  sTemplateIncorrectTag = 'Etiqueta incorrecta "%s".';
  sTemplateInsertTableErr = 'Etiqueta "%s" solo es usable en tablas con un registro.';

  sCreatingReport = 'Creando report...';
  sCreatingReportErr = 'Error durante creación del report.';
  sFileGeneration = 'Generación de archivo %s...';
  sPDFWaitAgainQ = 'Archivo de salida no se creo aun. Desea seguir esperando?';
  sPDFConfiguration = 'Configuración de impresora PDF...';
  sPDFConfigurationErr = 'Error durante configuración de impresora PDF.';
  sDeleteOldFileErr = 'Archivo de salida %s ya existe y no puede ser sobre-escrito.';

  // OLE
  sMSWordNotFound = 'Aplicación MSWord no encontrada.';
  sMSWordError = 'Error en aplicación MSWord.';
  sMSExcelNotFound = 'Aplicación MSExcel no encontrada.';
  sMSExcelError = 'Error en aplicación MSExcel.';
  sMSExcelRunningToClose = 'Aplicación MSExcel sera cerrada y el archivo fue cambiado. Grabar cambios?';

  // ***************************************************
  // rDBGrid unit
  { }
  sPMSum = 'Sum = %sum';
  sPMMin = 'Min = %min';
  sPMMax = 'Max = %max';
  sPMAvg = 'Media = %avg';
  sPMCountVal = 'Recuento de valores = %CountVal';
  sPMCountNull = 'Recuento de vacíos = %CountNull';
  sPMCountAll = 'Recuento total = %CountAll';
  sPMDistinctValues = 'Valores distintos = %DistinctValues';

  sSelectAllRecords = 'Selecciona todos los registros';
  sDeselectAllRecords = 'Deselecciona todos los registros';
  sReverseSelection = 'Invierte la selección';
  sDeleteSelectedRecords = 'Borrar los registros seleccionados';
  sNoRecordsSelected = 'Ningún registro selección.';
  sSelectedNumRecContinueQ = 'Ya había %d registros seleccionados, continua?';

  sCellParamsCondErr='Condición no validad para campo %s. La condición sera desactivada.';
  sCellParamsCondStart='comienza por';
  sCellParamsCondNotStart='no comienza por';
  sCellParamsCondContain='contiene';
  sCellParamsCondNotContain='no contiene';
  sCellParamsCondAllways='siempre';
  sCellParamsActSet='>>>';
  sCellParamsActAND='Y';
  sCellParamsActOR='O';

  sFilterSelectAll = '(selecciona todo)';
  sFilterNullValue = '(vacío)';
  sIndicatorColumnName = '- Registro de cabecera -';
  sFiltered = 'Filtrado';
  sFilterResetHint = 'Ctrl+Left para Reiniciar';
  sFilterSetHint = 'Ctrl+Right para Filtrar';
  sFilterClear = 'Borrar filtro actual';
  sFilterTooComplex = 'Se generó un filtro demasiado complejo. Cambie filtro o use filtro de texto en su lugar.';

  // ***************************************************
  // rDBComponent unit
  { }
  sPictureEmpty = '(vacío)';
  sPictureCorrupted = '(corrupto)';
  sSaveInJPEGFormat = 'Almacena en formato JPG';
  sPictureResize = 'Cambia resolución';
  sResizeRatioQ = 'Tamaño solicitado en porcentaje (1% - 500%):';
  sZoomAutoFit = 'Zoom - a ventana';
  sZoomIn = 'Zoom in';
  sZoomOut = 'Zoom out';
  sZoom = 'Zoom';
  sShowPicEdit = 'Editar en nueva ventana (brillo, contraste)';
  sPicConvert = 'Convertir...';
  sPicConvertJPG1 = 'Registro actual a JPG';
  sPicConvertBMP1 = 'Registro actual a BMP';
  sPicConvertJPGAll = 'Todos los registro actual a JPG';
  sPicConvertBMPAll = 'Todos los registro actual a BMP';
  sPicConvertAllQ = 'Esta acción cambia el formato de este campo en todos los registros de la tabla.';
  sPicConvertProcess = 'Convertir...';
  sBlobOpen = 'Abrir';
  sBlobLoad = 'Cargar';
  sBlobSave = 'Grabar';
  sBlobClear = 'Limpiar';
  sBlobRename = 'Cambiar nombre de archivo';
  sBlobChangeExtQ = 'Cambiar la extensión del archivo? El cambio repercute en su uso posterior.';
  sBlobFileOverLimitQ = 'Longitud de archivo (%f MB) excede el limite (%f MB).';

  sFormatInfo = 'Formatea texto seleccionado';
  sFormatBold = 'Negrita';
  sFormatItalic = 'Itálica';
  sFormatUnderline = 'Subrayado';
  sFormatAsUnnumberedList='Lista no-numerada';
  sFormatAsNumberedList='Lista numerada';
  sFormatNewPage = 'Insertar fin de pagina';
  sFormatNewLine2 = 'Insertar fin de linea';
  sFormatNewLineAuto='Insertar fin de lineas en todas';
  sFormatHorLine = 'Insertar linea horizontal';
  sFormatHTMLLink = 'Insertar enlace HTML';
  sFormatClear = 'Limpiar todos los formatos';
  sEditInfo = 'Mostrar en ventana';

  // added Dec2020
  sFont = 'Fuente';
  sFormatStrikeOut = 'Tachado';
  sFontSmaller = 'Reducir';
  sFontBigger = 'Aumentar';
  sFontColor = 'Color de fuente';
  sParagraph = 'Párrafo';
  sIndentDecrease = 'Reduce indentación';
  sIndentIncrease = 'Incrementa indentación';
  sTextAlignLeft = 'Alinear texto a la izquierda';
  sTextAlignRight = 'Alinear texto a la derecha';
  sTextAlignCenter = 'Alinear texto al centro';
  sBulletPoints = 'Marcas . . .';
  sBulletNumbers = 'Marcas 1, 2, 3';
  sBulletLetters = 'Marcas a, b, c';

  sConfirmChanges = 'Confirmar cambios';
  sCancelChanges = 'Cancelar cambios';
  // added Dec2020

  // ***************************************************
  // rDBMemoGrid unit
  { }
  mnDelRow = 'Borrar fila';
  mnMoveUpRow = 'Mover fila arriba';
  mnMoveDownRow = 'Mover fila abajo';
  mnCopyCell = 'Copiar celda';
  mnPasteCell = 'Pegar celda';
  mnCopyTable = 'Copiar tabla completa';
  mnPasteTable = 'Pegar tabla completa';
  mnAppendTable = 'Agregar tabla completa';
  mnClearTable = 'Limpiar tabla';
  mnSelectRow = 'Seleccionar fila';
  mnSelectAll = 'Seleccionar todas las filas';
  mnSelectCol = 'Seleccionar columna';
  mnSelectCell = 'Seleccionar celda';
  mnDeselectAll = 'Cancelar selección';

  // ***************************************************
  // rDBPrint unit
  { }
  sPrintToomuchCols = 'Demasiados datos para imprimir, deseleccione algunas columnas o reduzca la fuente.';
  sPrintRecCount='Numero total de registros: %d';
  sPrintPreviewLimit = 'Preview limitada a 60 paginas.';

  // ***************************************************
  // rDBBatchUpdate unit
  { }
  sBatchUpdatedRecNum = 'Numero de registros editados: %d';

  // ***************************************************
  // rpictool unit
  { }
  sColorBlack = 'Black';
  sColorBlackLoc = 'Black';
  sColorMaroon = 'Maroon';
  sColorMaroonLoc = 'Maroon';
  sColorGreen = 'Green';
  sColorGreenLoc = 'Green';
  sColorOlive = 'Olive';
  sColorOliveLoc = 'Olive';
  sColorNavy = 'Navy';
  sColorNavyLoc = 'Navy';
  sColorPurple = 'Purple';
  sColorPurpleLoc = 'Purple';
  sColorTeal = 'Teal';
  sColorTealLoc = 'Teal';
  sColorGray = 'Gray';
  sColorGrayLoc = 'Gray';
  sColorSilver = 'Silver';
  sColorSilverLoc = 'Silver';
  sColorRed = 'Red';
  sColorRedLoc = 'Red';
  sColorLime = 'Lime';
  sColorLimeLoc = 'Lime';
  sColorYellow = 'Yellow';
  sColorYellowLoc = 'Yellow';
  sColorBlue = 'Blue';
  sColorBlueLoc = 'Blue';
  sColorFuchsia = 'Fuchsia';
  sColorFuchsiaLoc = 'Fuchsia';
  sColorAqua = 'Aqua';
  sColorAquaLoc = 'Aqua';
  sColorWhite = 'White';
  sColorWhiteLoc = 'White';

  sColorMoneyGreen = 'MoneyGreen';
  sColorMoneyGreenLoc = 'Money Green';
  sColorSkyBlue = 'SkyBlue';
  sColorSkyBlueLoc = 'Sky Blue';
  sColorCream = 'Cream';
  sColorCreamLoc = 'Cream';
  sColorMedGray = 'MedGray';
  sColorMedGrayLoc = 'Med Gray';

  sColorCustom = 'Custom...';
  sColorCustomLoc = 'Custom...';

implementation

end.
